4Suite™ API Documentation

# ► Module Ft.Xml.XLink.XLinkElements

Classes representing XLink elements
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Arc, Extended, Literal, Locator, Resource, Simple, Title |  |  |  | Functions: Create |  |  |  | Fields: TypeMap, XLINK_NAMESPACE

## Classes

class Arc(Literal)

### Methods inherited from class Literal

__init__, process

### Fields

type = 'arc'

class Extended(Literal)

### Methods inherited from class Literal

__init__, process

### Fields

type = 'extended'

class Literal
Base class for an XLink element.

### Methods

__init__(self, node, iSrc)
process(self)

### Fields

type = None

class Locator(Literal)

### Methods inherited from class Literal

__init__, process

### Fields

type = 'locator'

class Resource(Literal)

### Methods inherited from class Literal

__init__, process

### Fields

type = 'resource'

class Simple(Literal)
A 'simple'-type XLink element.

### Methods

__init__(self, node, iSrc)
process(self)
Processes a simple XLink element according to the following guidelines:
If xlink:actuate='onLoad' and xlink:show='replace', then the remote
resource's document element's content (not the document element itself)
and the content of the XLink element (if any) will together replace the
XLink element.
If xlink:actuate='onLoad' and xlink:show='embed', then the remote
resource's document element will replace the XLink element.
Any other XLink attribute combinations are ignored.
These behaviors constitute a reasonable approximation of the resource
loading suggestions in XLink 1.0 sec. 5.6.1.

### Fields

type = 'simple'

class Title(Literal)

### Methods inherited from class Literal

__init__, process

### Fields

type = 'title'

## Functions

Create(node, baseUri)
Given an XLink element node, returns an object (one of the classes defined in this module) that contains the node, its principal XLink attribute values, and a 'process' method that can be invoked in order to process (follow or otherwise act upon) the element.
Used by the Ft.Xml.XLink.Processor.Processor.

## Fields

TypeMap = {'arc': <class Ft.Xml.XLink.XLinkElements.Arc>, 'extended': <class Ft.Xml.XLink.XLinkElements.Extended>, 'locator': <class Ft.Xml.XLink.XLinkElements.Locator>, 'resource': <class Ft.Xml.XLink.XLinkElements.Resource>, 'simple': <class Ft.Xml.XLink.XLinkElements.Simple>, 'title': <class Ft.Xml.XLink.XLinkElements.Title>}
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'